Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclExecScheduler Class Reference
[OSCL Proc]

`#include <oscl_scheduler.h>`

Inheritance diagram for OsclExecScheduler:

## Public Methods
OSCL_IMPORT_REF void | RunSchedulerNonBlocking (int32 aTargetCount, int32 &aReady, uint32 &aDelayMsec)
OSCL_IMPORT_REF void | RegisterForCallback (OsclSchedulerObserver *aCallback, OsclAny *aCallbackContext)
## Static Public Methods
OSCL_IMPORT_REF OsclExecScheduler * | Current ()
## Friends
class | OsclScheduler

## Member Function Documentation

OSCL_IMPORT_REF OsclExecScheduler* OsclExecScheduler::Current | ( |  | ) | `[static]`

| Get currently installed scheduler for calling thread, or NULL if no scheduler is installed.

OSCL_IMPORT_REF void OsclExecScheduler::RegisterForCallback | ( | OsclSchedulerObserver * | aCallback,
|  | OsclAny * | aCallbackContext
| ) |

| Register for a notification when non-blocking scheduler needs to run again. Note: On Symbian, non-blocking mode is not supported and this call will leave.

OSCL_IMPORT_REF void OsclExecScheduler::RunSchedulerNonBlocking | ( | int32 | aTargetCount,
|  | int32 & | aReady,
|  | uint32 & | aDelayMsec
| ) |

  | Run PV scheduler in non-blocking mode. This call returns when the desired number of Run calls have been made, or when there are no more active objects that are ready to run. Parameters:
  aTargetCount: | (input param) the maximum number of Run calls to make.
  aReady: | (output param) tells the number of active objects that are currently ready to run.
  aDelayMsec: | (output param) If no active objects are ready to run, but one or more active objects are waiting on timers, this parameter will tell the time interval from the current time until the first of the pending timer objects will be ready to run, in milliseconds.
Note: On Symbian, non-blocking mode is not supported and this call will leave.

## Friends And Related Function Documentation

friend class OsclScheduler`[friend]`

| Reimplemented from OsclExecSchedulerCommonBase.

The documentation for this class was generated from the following file:

- oscl_scheduler.h